{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
<style>
    .ancho-columna{
        width: 50%;
    }
    </style>
<div class="x_panel">
    <div class="x_title">
      <h2>LISTA DE PROYECTOS AGRUPADOS POR AUDITOR <small>GESTION 2021 </small></h2>
      <ul class="nav navbar-right panel_toolbox">
        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
        </li>
        <li class="dropdown">
          <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
          <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
              <a class="dropdown-item" href="#">Settings 1</a>
              <a class="dropdown-item" href="#">Settings 2</a>
            </div>
        </li>
        <li><a class="close-link"><i class="fa fa-close"></i></a>
        </li>
      </ul>
      <div class="clearfix"></div>
    </div>
    <div class="x_content">        
        <table   id="datatable-responsive"
        class="table table-striped table-bordered table condensed table-hover table-responsive"
        cellspacing="0" width="100%">
        <thead>
            <tr>
            <th rowspan="2" width="1%">ID</th>
            <th rowspan="2">NOMBRES AUDITOR</th>
            <th rowspan="2">NOMBRES SUPERVISOR</th>
            <th rowspan="2" class="ancho-columna">PROYECTO</th>
            <th rowspan="2">TIPO DE ASIGNACION</th>
            <th rowspan="2">ACT</th>
            <th colspan="3">MEMO SUPERVISOR</th>
            <th colspan="3">MEMO AUDITOR</th>
            <th rowspan="2"></th>

            </tr>
            <tr>
            <th width="1%">Nº</th>
            <th>FECHA</th>
            <th>TIEMPO</th>
            <th width="1%">Nº</th>
            <th>FECHA</th>
            <th>TIEMPO</th>
            </tr>
        </thead>
            <tbody>
                {% for asignacion in object_list %}
                <tr>
                    <td width="1%">{{ asignacion.id }}</td>
                    <td> {{ asignacion.personal.tipoauditor.nombre_tipoauditor }}</td>
                    <td> {{ asignacion.supervisor }}</td>
                    <td class="ancho-columna">{{ asignacion.proyecto }}</td>
                    <td> {{ asignacion.tipoasignacion.nombre_tipo }}</td>
                    <td> {{ asignacion.proyecto.tipo }} </td>
                    <td> {{ asignacion.numero_memorandum_supervisor }}</td>
                    <td> {{ asignacion.fecha_memorandum_supervisor|date:"d/m/Y" }}</td>
                    <td> {{ asignacion.plazo_supervisor_memo }}</td>
                    <td> {{ asignacion.nro_memorandum }}</td>
                    <td> {{ asignacion.fecha_memorandum|date:"d/m/Y" }}</td>
                    <td> {{ asignacion.plazo }} dias</td>
                    <td> <a href='{% url "controldiariosup" asignacion.supervisor.id 0 2021 %}' class="btn btn-success btn-xs"><i class="fa fa-search"></i></a></td>
                    
                </tr>
                {% endfor %}
               
            </tbody>    
        </table>     
    </div>
  </div>
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollX": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}